JQuery-Script läuft nicht mit Linux-Browsern

FragenJQuery-Script läuft nicht mit Linux-Browsern
Stefan Jahn - Freitag, 16. Februar 2018 12:49 Uhr

Hallo zusammen,

…folgender goldener Code (ein jQuery-Script als Ergebnis verschiedener Experimente) läuft zwar in Windows-7-Browsern, nicht aber mit Linux-Mint-Browsern, also Iron, Chromium, Firefox etc.

Vielleicht hat jemand einen Ratschlag. Danke im voraus.

<script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
<script type="text/javascript" src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<script>
  $(document).ready(function(){
    $("#button").click(function(){
      $(".target").effect("shake",{times:4},1000);
    });
  });
</script>

<style>
  p {background-color:#bca;width:200px;border:1px solid green;}
  .target{width:100px;height:100px;background:lightblue;}
</style>

<h1>Test</h1>
Click on any of the buttons:

<button id="button">Shake</button>
<div class="target"></div>
1 Antwort
Kai - Freitag, 16. Februar 2018 13:53 Uhr

Da es nicht an der Browser-Engine liegen kann (du hast Chromium und Firefox getestet), hätte ich nur noch die Idee, dass etwas bei der Internetverbindung nicht stimmt:

Du holst jQuery direkt vom Server – das funktioniert? Kannst du die beiden Bibliotheken unter Linux Mint direkt runterladen?

sja - Freitag, 16. Februar 2018 19:16 Uhr

Hallo Kai,

vielen Dank für Deine schnelle Hilfe.

Der vollständige Pfad auf die Bibliotheken ist:

https://code.jquery.com/jquery-3.3.1.min.js
und
https://code.jquery.com/ui/1.12.1/jquery-ui.js.

Die lassen sich laden, die Internetverbindung ist auch stabil.

Letztlich lag das Problem beim Firefox-AddOn uMatrix, das die Ausführung des Scripts geblockt hat, und was auch korrektes Verhalten ist.

Das Script läuft dann auch mit Linux, ich hatte schon gedacht, es ist notwendig, ein Modul zusätzlich zu installieren, wie bei Python beispielsweise.

Problem also gelöst. Danke nochmal.

Gruß sja

Deine Antwort